/*
 * post-query.C
 */
/*
    This file is a CGI Script interface
    Copyright (C) 1994  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "standard.H"
#include "post-query.H"

/***************************************************************************/

PostQuery::PostQuery( int max_entries ):
CgiQuery( "POST", max_entries )
{
  /*
   * Most of this code was lifted directly from cgi-src/query.c
   *
   * Check to make sure we are using the appropriate method.
   * If we are, allocate space and read the environment variable
   * into the entries.
   */
  int cl;
  int x;
  
  if( entries ){
    cl = atoi(getenv("CONTENT_LENGTH"));

    for(x=0;cl && (!feof(stdin));x++) {
        num_entries=x;
        entries[x].val( fmakeword(stdin,'&',&cl) );
        plustospace( entries[x].val() );
        unescape_url( entries[x].val() );
        entries[x].name( makeword( entries[x].val(), '=' ) );
    }

    num_entries++;  // one more entry than the last x
  }
}

//---------------------------------------------------------------------------

PostQuery::~PostQuery()
{
}


/***************************************************************************/

/*
 * $Log: post-query.C,v $
 * Revision 1.2  1994/07/10  09:24:37  asf
 * Adapted the "entries" array so it refers to the object instead of to a
 * normal structure.
 *
 * Revision 1.1  1994/07/09  20:11:15  asf
 * Initial revision
 *
 */

